﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;




namespace EventLogs
{
    public class EventEntry : INotifyPropertyChanged
    {
        private string mLogDate;
        private string mLogMessage;

        public event PropertyChangedEventHandler PropertyChanged;



        public EventEntry(string pLogDate, string pLogMessage)
        {
            mLogDate = pLogDate;
            mLogMessage = pLogMessage;
        }


        public string LogDate
        {
            get { return mLogDate; }
            set
            {
                mLogDate = value;
                this.NotifyPropertyChanged("Date");
            }
        }




        public string HostName
        {
            get { return mLogMessage; }
            set
            {
                mLogMessage = value;
                this.NotifyPropertyChanged("Message");
            }
        }



        private void NotifyPropertyChanged(string pName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(pName));
        }
    }
}