﻿using System.IO;
using System.Diagnostics;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Text.RegularExpressions;
using System.Net;
using System.Net.Sockets;
using System.Threading;


namespace EventLogs
{
    public partial class EventLogMainForm
    {
        BindingList<EventEntry> mEventEntries = new BindingList<EventEntry>();


        /*
         * 
         * 
         */

        public string[] GetLogSource()
        {
            string[] lRetVal;
            string lOutput = "";
            EventLog[] lEventLogs = EventLog.GetEventLogs();

            foreach (EventLog lEventLog in lEventLogs)
                lOutput += lEventLog.Log + ",";

            lOutput = lOutput.TrimEnd(',');
            lRetVal = lOutput.Split(',');
            
            return (lRetVal);
        }



        /*
         * 
         * 
         */

        public void ListEntries()
        {
            string lLogTime;
            string lLogMessage;
            EventLog mEventLogObj = new EventLog();
            mEventLogObj.Log = ComboBoxLog.SelectedItem.ToString();
            mEventLogObj.MachineName = ".";


            foreach (EventLogEntry lEntry in mEventLogObj.Entries)
            {
                lLogTime = lEntry.TimeGenerated.ToString();
                lLogMessage = lEntry.Message;

                if (TextBoxKeyWord.Text.Length > 0)
                {
                    if (Regex.Match(lLogMessage, TextBoxKeyWord.Text, RegexOptions.IgnoreCase).Success)
                    {
                        mEventEntries.Add(new EventEntry(lLogTime, lLogMessage));
                        DataGridViewMain.DataSource = mEventEntries;
                        DataGridViewMain.Refresh();
                        DataGridViewMain.CurrentCell = DataGridViewMain.Rows[DataGridViewMain.Rows.Count - 1].Cells[0];
                    }
                }
                else if (TextBoxKeyWord.Text.Length == 0)
                {
                    mEventEntries.Add(new EventEntry(lLogTime, lLogMessage));
                    DataGridViewMain.DataSource = mEventEntries;
                    DataGridViewMain.Refresh();
                    DataGridViewMain.CurrentCell = DataGridViewMain.Rows[DataGridViewMain.Rows.Count - 1].Cells[0];
 
                }
            }
        }


        /*
         * 
         * 
         */

        public void ResetFile()
        {
            EventLog mEventLogObj = new EventLog();
            mEventLogObj.Log = ComboBoxLog.SelectedItem.ToString();
            mEventLogObj.MachineName = ".";
            mEventLogObj.Clear();

            MessageBox.Show("Log file \"" + mEventLogObj.Log + "\" resetted!", "File resetted", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }
    }
}