﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace EventLogs
{
    public partial class EventLogMainForm : Form
    {
        public EventLogMainForm()
        {
            InitializeComponent();

            // Populate EventLog data source combobox.
            ComboBoxLog.DataSource = GetLogSource();
        }

        private void ButtonClose_Click(object sender, EventArgs e)
        {
            Dispose();
        }

        private void ButtonShow_Click(object sender, EventArgs e)
        {
            /*
             * Clear event log entry table.
             * 
             */

            mEventEntries.Clear();
            DataGridViewMain.DataSource = mEventEntries;
            DataGridViewMain.Refresh();


            /*
             * List event log entries
             * 
             */

            ButtonShow.Enabled = false;
            ButtonClose.Enabled = false;
            ButtonEmptyFile.Enabled = false;
            Cursor = System.Windows.Forms.Cursors.WaitCursor;
            ListEntries();
            ButtonShow.Enabled = true;
            ButtonClose.Enabled = true;
            ButtonEmptyFile.Enabled = true;
            Cursor = System.Windows.Forms.Cursors.Default;
        }



        /*
         * 
         * 
         */

        private void ButtonClear_Click(object sender, EventArgs e)
        {
            ResetFile();
            mEventEntries.Clear();
            DataGridViewMain.DataSource = mEventEntries;
            DataGridViewMain.Refresh();
        }
    }
}
